[torquedev] [patch] Fix -W regression from changeset 2367

Eygene Ryabinkin rea+maui at grid.kiae.ru
Thu Aug 5 11:14:44 MDT 2010


Thu, Aug 05, 2010 at 09:38:39AM -0600, Ken Nielson wrote:
> On 08/05/2010 12:34 AM, Eygene Ryabinkin wrote:
> > Will it work for the older releases?  For something like 2.4.2?  I am
> > asking, because we are using this functionality in the EGEE gLite
> > middleware stack and some sites run rather old Torque, but some are
> > trying to be on the cutting edge.  But submission scripts are meant to
> > be universal.
> >
> > I understand that we can just use multiple '-W stagein ...' directives,
> > one for each file, but still -- is the cited syntax supported for old
> > releases?  I see no signs of it in manual pages, but they can be
> > incomplete.
> >
> > Thanks!
> >    
> This broke in 2.4.6. So 2.4.2 would not have the problem.

So, 2.4.2 supported quoted arguments to '-W stagein' and will process
it correctly as 2.4.7 will do?  Will this be documented in qsub's
manual page?
-- 
Eygene Ryabinkin, Russian Research Centre "Kurchatov Institute"


More information about the torquedev mailing list